Bug 1015063 - Cannot add server to slave host via CLI
Cannot add server to slave host via CLI
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CLI (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Alexey Loubyansky
Petr Kremensky
Russell Dickenson
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 07:45 EDT by Petr Kremensky
Modified: 2013-12-15 11:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:21:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-03 07:45:41 EDT
Description of problem:
 I am unable to add new server instance to slave host in domain via CLI.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER3


How reproducible:
 always

Steps to Reproduce on single node:
 1. prepare env and start domain
export IP=aaa.bbb.ccc.ddd // different from localhost
unzip -q jboss-eap-6.2.0.ER3.zip
cp -r jboss-eap-6.2/domain/ jboss-eap-6.2/domain2
# start first domain controller
./jboss-eap-6.2/bin/domain.sh &
# start slave
./jboss-eap-6.2/bin/domain.sh --host-config=host-slave.xml -Djboss.domain.base.dir=jboss-eap-6.2/domain2 -Djboss.domain.master.address=127.0.0.1 -Djboss.bind.address=$IP -Djboss.bind.address.management=$IP -Djboss.bind.address.unsecure=$IP &
 
 2. connect to CLI and execute
[domain@localhost:9999 /] ./host=${slave_name}/server-config=server-four:add(group=main-server-group, socket-binding-group=full-sockets

Actual results:
Failed to get the list of the operation properties: "JBAS014807: Management resource '[
    ("host" => "dhcp-4-200.brq.redhat.com"),
    ("server-config" => "server-four")
]' not found"

Additional info:
-Regression against EAP 6.2.0.ER2
-Adding server via web console works
Comment 1 Brian Stansberry 2013-10-03 10:59:45 EDT
Does it work if you do this?

./host=dhcp-4-200.brq.redhat.com/server-config=server-four:add(group=main-server-group, socket-binding-group=full-sockets)

i.e. no expression.

Also, I assume the missing closing paren in that add operation in the description was just a cut-and-paste error when filing the BZ.
Comment 2 Petr Kremensky 2013-10-04 03:37:15 EDT
Your assumptions are correct :).
No, it is the same:

[domain@localhost:9999 /] ./host=dhcp-4-200.brq.redhat.com/server-config=server-four:add(group=main-server-group, socket-binding-group=full-sockets)
Failed to get the list of the operation properties: "JBAS014807: Management resource '[
    ("host" => "dhcp-4-200.brq.redhat.com"),
    ("server-config" => "server-four")
]' not found"
Comment 3 Petr Kremensky 2013-10-04 06:23:17 EDT
The issue no longer occurs in EAP 6.2.0 ER4.

Note You need to log in before you can comment on or make changes to this bug.